CREATE COLUMN TABLE MHP_OEE.SITE (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  DESCRIPTION           NVARCHAR(40),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX SITE_HANDLE ON SITE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.USR (
  HANDLE                        NVARCHAR(412) NOT NULL,
  SITE                          NVARCHAR(6),
  USER_ID                       NVARCHAR(30),
  ENABLED                       NVARCHAR(5),
  ENABLED_MODIFIED_DATE_TIME    SECONDDATE,
  CREATED_DATE_TIME             SECONDDATE,
  MODIFIED_DATE_TIME            SECONDDATE,
  MODIFIED_USER                 NVARCHAR(412)
);
CREATE UNIQUE INDEX USR_HANDLE ON USR(HANDLE);

CREATE COLUMN TABLE MHP_OEE.USER_GROUP (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  USER_GROUP            NVARCHAR(30),
  DESCRIPTION           NVARCHAR(40),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX USER_GROUP_HANDLE ON USER_GROUP(HANDLE);

CREATE COLUMN TABLE MHP_OEE.USER_GROUP_MEMBER (
  HANDLE                NVARCHAR(412) NOT NULL,
  USER_GROUP_BO         NVARCHAR(412),
  USER_BO               NVARCHAR(412),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX USER_GROUP_MEMBER_HANDLE ON USER_GROUP_MEMBER(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY (
  HANDLE                NVARCHAR(412) NOT NULL,
  ACTIVITY              NVARCHAR(20),
  ENABLED               NVARCHAR(5),
  DESCRIPTION           NVARCHAR(40),
  EXECUTION_TYPE        NVARCHAR(1),
  VISIBLE               NVARCHAR(5),
  CLASS_OR_PROGRAM      NVARCHAR(256),
  SEQUENCE_ID           INTEGER,
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_HANDLE ON ACTIVITY(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY_PARAM (
  HANDLE                NVARCHAR(412) NOT NULL,
  ACTIVITY_BO           NVARCHAR(412),
  PARAM_ID              NVARCHAR(20),
  PARAM_DEFAULT_VALUE   NVARCHAR(200),
  PARAM_DESCRIPTION     NVARCHAR(100),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_PARAM_HANDLE ON ACTIVITY_PARAM(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY_PARAM_VALUE (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  ACTIVITY_BO           NVARCHAR(255),
  PARAM_ID              NVARCHAR(20),
  PARAM_VALUE           NVARCHAR(200),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_PARAM_VALUE_HANDLE ON ACTIVITY_PARAM_VALUE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY_GROUP (
  HANDLE                NVARCHAR(412) NOT NULL,
  ACTIVITY_GROUP        NVARCHAR(40),
  DESCRIPTION           NVARCHAR(40),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_GROUP_HANDLE ON ACTIVITY_GROUP(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY_GROUP_ACTIVITY (
  HANDLE                NVARCHAR(412) NOT NULL,
  ACTIVITY_GROUP_BO     NVARCHAR(412),
  ACTIVITY_BO           NVARCHAR(412),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_GROUP_ACTIVITY_HANDLE ON ACTIVITY_GROUP_ACTIVITY(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY_PERM (
  HANDLE                NVARCHAR(412) NOT NULL,
  USER_GROUP_BO         NVARCHAR(412),
  ACTIVITY_BO           NVARCHAR(412),
  PERMISSION_SETTING    NVARCHAR(5),
  PERMISSION_MODE       NVARCHAR(10),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_PERM_HANDLE ON ACTIVITY_PERM(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY_CLIENT (
  HANDLE                NVARCHAR(412) NOT NULL,
  ACTIVITY_CLIENT       NVARCHAR(30),
  DESCRIPTION           NVARCHAR(40),
  TYPE                  NVARCHAR(1),
  VISIBLE               NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_CLIENT_HANDLE ON ACTIVITY_CLIENT(HANDLE);

CREATE COLUMN TABLE MHP_OEE.ACTIVITY_CLIENT_PERM (
  HANDLE                NVARCHAR(412) NOT NULL,
  USER_GROUP_BO         NVARCHAR(412),
  ACTIVITY_CLIENT_BO    NVARCHAR(412),
  PERMISSION_SETTING    NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX ACTIVITY_CLIENT_PERM_HANDLE ON ACTIVITY_CLIENT_PERM(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_TYPE (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  RESOURCE_TYPE         NVARCHAR(16),
  ENABLED               NVARCHAR(5),
  DESCRIPTION           NVARCHAR(40),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_TYPE_HANDLE ON RESOURCE_TYPE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.WORK_CENTER (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  WORK_CENTER           NVARCHAR(36),
  DESCRIPTION           NVARCHAR(40),
  WC_CATEGORY           NVARCHAR(20),
  ENABLED               NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX WORK_CENTER_HANDLE ON WORK_CENTER(HANDLE);

CREATE COLUMN TABLE MHP_OEE.WORK_CENTER_MEMBER (
  HANDLE                NVARCHAR(412) NOT NULL,
  WORK_CENTER_BO        NVARCHAR(412),
  WORK_CENTER_GBO       NVARCHAR(412),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX WORK_CENTER_MEMBER_HANDLE ON WORK_CENTER_MEMBER(HANDLE);

CREATE COLUMN TABLE MHP_OEE.WORK_CENTER_SHIFT (
  HANDLE                NVARCHAR(412) NOT NULL,
  WORK_CENTER_BO        NVARCHAR(412),
  SHIFT                 NVARCHAR(10),
  START_TIME            TIME,
  END_TIME              TIME,
  SHIFT_DURATION        DECIMAL(38,0),
  DESCRIPTION           NVARCHAR(40),
  ENABLED               NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX WORK_CENTER_SHIFT_HANDLE ON WORK_CENTER_SHIFT(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESRCE (
  HANDLE               NVARCHAR(412) NOT NULL,
  SITE                 NVARCHAR(6),
  RESRCE               NVARCHAR(36),
  DESCRIPTION          NVARCHAR(40),
  ASSET                NVARCHAR(36),
  SUB_ASSET            NVARCHAR(4),
  LINE_AREA            NVARCHAR(36),
  WORK_AREA            NVARCHAR(36),
  WORKSHOP             NVARCHAR(36),
  ENABLED              NVARCHAR(5),
  EQP_USER_ID          NVARCHAR(40),
  CONFIGURED_PLC_INFO  NVARCHAR(5),
  CREATED_DATE_TIME    SECONDDATE,
  MODIFIED_DATE_TIME   SECONDDATE,
  MODIFIED_USER        NVARCHAR(412)
);
CREATE UNIQUE INDEX RESRCE_HANDLE ON RESRCE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_ME_USER (
  HANDLE                NVARCHAR(412) NOT NULL,
  RESOURCE_BO           NVARCHAR(412),
  ME_USER_ID            NVARCHAR(40),
  SHIFT                 NVARCHAR(10),
  SHIFT_DESCRIPTION     NVARCHAR(40),
  ENABLED               NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_ME_USER_HANDLE ON RESOURCE_ME_USER(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_PLC_INFO (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  RESOURCE_BO           NVARCHAR(412),
  PLC_IP                NVARCHAR(20),
  PLC_PORT              NVARCHAR(10),
  PLC_ACCESS_TYPE       NVARCHAR(40),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412),
  PC_IP                 NVARCHAR(20)
);
CREATE UNIQUE INDEX RESOURCE_PLC_INFO_HANDLE ON RESOURCE_PLC_INFO(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_TYPE_RESOURCE (
  HANDLE                NVARCHAR(412) NOT NULL,
  RESOURCE_TYPE_BO      NVARCHAR(412),
  RESOURCE_BO           NVARCHAR(412),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_TYPE_RESOURCE_HANDLE ON RESOURCE_TYPE_RESOURCE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_STATE (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  STATE                 NVARCHAR(40),
  DESCRIPTION           NVARCHAR(40),
  ENABLED               NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_STATE_HANDLE ON RESOURCE_STATE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.PLC_ACCESS_TYPE (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  PLC_ACCESS_TYPE       NVARCHAR(40),
  DESCRIPTION           NVARCHAR(40),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX PLC_ACCESS_TYPE_HANDLE ON PLC_ACCESS_TYPE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_PLC (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  RESOURCE_BO           NVARCHAR(412),
  PLC_ADDRESS           NVARCHAR(50),
  CATEGORY              NVARCHAR(40),
  PLC_VALUE             NVARCHAR(50),
  PLC_OBJECT            NVARCHAR(40),
  DESCRIPTION           NVARCHAR(100),
  LOG_PATH              NVARCHAR(256),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_PLC_HANDLE ON RESOURCE_PLC(HANDLE);

CREATE COLUMN TABLE MHP_OEE.PLC_OBJECT (
  HANDLE                    NVARCHAR(412) NOT NULL,
  SITE                      NVARCHAR(6),
  PLC_OBJECT                NVARCHAR(40),
  CATEGORY                  NVARCHAR(40),
  PLC_OBJECT_DESCRIPTION    NVARCHAR(100),
  CREATED_DATE_TIME         SECONDDATE,
  MODIFIED_DATE_TIME        SECONDDATE,
  MODIFIED_USER             NVARCHAR(412)
);
CREATE UNIQUE INDEX PLC_OBJECT_HANDLE ON PLC_OBJECT(HANDLE);

CREATE COLUMN TABLE MHP_OEE.PLC_CATEGORY (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  CATEGORY              NVARCHAR(40),
  DESCRIPTION           NVARCHAR(40),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX PLC_CATEGORY_HANDLE ON PLC_CATEGORY(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REASON_CODE (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  REASON_CODE           NVARCHAR(128),
  DESCRIPTION           NVARCHAR(40),
  REASON_CODE_GROUP     NVARCHAR(128),
  ENABLED               NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX REASON_CODE_HANDLE ON REASON_CODE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REASON_CODE_RES_STATE (
  HANDLE                NVARCHAR(412) NOT NULL,
  REASON_CODE_BO        NVARCHAR(412),
  RESOURCE_STATE_BO     NVARCHAR(412),
  STRT                  NVARCHAR(20),
  START_DATE_TIME       SECONDDATE,
  END_DATE_TIME         SECONDDATE,
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX REASON_CODE_RES_STATE_HANDLE ON REASON_CODE_RES_STATE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REASON_CODE_GROUP (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  REASON_CODE_GROUP     NVARCHAR(128),
  DESCRIPTION           NVARCHAR(40),
  ENABLED               NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX REASON_CODE_GROUP_HANDLE ON REASON_CODE_GROUP(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_TIME_LOG (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  RESOURCE_BO           NVARCHAR(412),
  STRT                  NVARCHAR(20),
  RESOURCE_STATE        NVARCHAR(40),
  START_DATE_TIME       SECONDDATE,
  END_DATE_TIME         SECONDDATE,
  ELAPSED_TIME          DECIMAL(38,0),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_TIME_LOG_HANDLE ON RESOURCE_TIME_LOG(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_ALERT_LOG (
  SITE                  NVARCHAR(6) NOT NULL,
  RESRCE                NVARCHAR(36),
  RESOURCE_STATE        NVARCHAR(40),
  DATE_TIME             SECONDDATE,
  PLC_ADDRESS           NVARCHAR(50),
  DESCRIPTION           NVARCHAR(100),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_REASON_LOG (
  SITE                      NVARCHAR(6),
  RESRCE                    NVARCHAR(36),
  DATE_TIME                 SECONDDATE,
  REASON_CODE               NVARCHAR(128),
  ACTION_CODE               NVARCHAR(20),
  MAINTENANCE_NOTIFICATION  NVARCHAR(36),
  MAINTENANCE_ORDER         NVARCHAR(36),
  ME_USER_ID                NVARCHAR(40),
  CREATED_DATE_TIME         SECONDDATE,
  MODIFIED_DATE_TIME        SECONDDATE,
  MODIFIED_USER             NVARCHAR(412)
);

CREATE COLUMN TABLE MHP_OEE.SCHEDULED_DOWN_PLAN (
  HANDLE                    NVARCHAR(412) NOT NULL,
  SITE                      NVARCHAR(6),
  RESOURCE_BO               NVARCHAR(412),
  STRT                      NVARCHAR(20),
  START_DATE_TIME           SECONDDATE,
  END_DATE_TIME             SECONDDATE,
  REASON_CODE               NVARCHAR(12),
  CREATED_DATE_TIME         SECONDDATE,
  MODIFIED_DATE_TIME        SECONDDATE,
  MODIFIED_USER             NVARCHAR(412)
);
CREATE UNIQUE INDEX SCHEDULED_DOWN_PLAN_HANDLE ON SCHEDULED_DOWN_PLAN(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REASON_CODE_PRIORITY (
  HANDLE                NVARCHAR(412) NOT NULL,
  REASON_CODE_BO        NVARCHAR(412),
  PRIORITY              NVARCHAR(3),
  SUB_PRIORITY          NVARCHAR(3),
  STRT                  NVARCHAR(20),
  START_DATE_TIME       SECONDDATE,
  END_DATE_TIME         SECONDDATE,
  USED                  NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX REASON_CODE_PRIORITY_HANDLE ON REASON_CODE_PRIORITY(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REASON_CODE_RULE (
  HANDLE                     NVARCHAR(412) NOT NULL,
  REASON_CODE_PRIORITY_BO    NVARCHAR(412),
  RULE                       NVARCHAR(20),
  ACTIVITY                   NVARCHAR(20),
  CREATED_DATE_TIME          SECONDDATE,
  MODIFIED_DATE_TIME         SECONDDATE,
  MODIFIED_USER              NVARCHAR(412)
);
CREATE UNIQUE INDEX REASON_CODE_RULE_HANDLE ON REASON_CODE_RULE(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REASON_CODE_RULE_PARAM (
  HANDLE                     NVARCHAR(412) NOT NULL,
  SITE                       NVARCHAR(6),
  REASON_CODE_RULE_BO        NVARCHAR(412),
  RESOURCE_TYPE              NVARCHAR(16),
  PARAM_ID                   NVARCHAR(20),
  PARAM_VALUE                NVARCHAR(200),
  CREATED_DATE_TIME          SECONDDATE,
  MODIFIED_DATE_TIME         SECONDDATE,
  MODIFIED_USER              NVARCHAR(412)
);
CREATE UNIQUE INDEX REASON_CODE_RULE_PARAM_HANDLE ON REASON_CODE_RULE_PARAM(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REASON_CODE_ALERT (
  HANDLE                NVARCHAR(412) NOT NULL,
  RESOURCE_TYPE_BO      NVARCHAR(412),
  ALERT_SEQUENCE_ID     NVARCHAR(412),
  REASON_CODE_BO        NVARCHAR(412),
  STRT                  NVARCHAR(20),
  DESCRIPTION           NVARCHAR(100),
  USED                  NVARCHAR(5),
  START_DATE_TIME       SECONDDATE,
  END_DATE_TIME         SECONDDATE,
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX REASON_CODE_ALERT_HANDLE ON REASON_CODE_ALERT(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_REASON_CODE_LOG (
  HANDLE                    NVARCHAR(412) NOT NULL,
  SITE                      NVARCHAR(6),
  RESOURCE_BO               NVARCHAR(412),
  STRT                      NVARCHAR(20),
  RESOURCE_STATE            NVARCHAR(40),
  START_DATE_TIME           SECONDDATE,
  END_DATE_TIME             SECONDDATE,
  ELAPSED_TIME              DECIMAL(38,0),
  REASON_CODE               NVARCHAR(128),
  COMMENT                   NVARCHAR(200),
  MAINTENANCE_NOTIFICATION  NVARCHAR(36),
  MAINTENANCE_ORDER         NVARCHAR(36),
  ME_USER_ID                NVARCHAR(40),
  CREATED_DATE_TIME         SECONDDATE,
  MODIFIED_DATE_TIME        SECONDDATE,
  MODIFIED_USER             NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_REASON_CODE_LOG_HANDLE ON RESOURCE_REASON_CODE_LOG(HANDLE);

CREATE COLUMN TABLE MHP_OEE.PRODUCTION_OUTPUT_FIRST (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  RESRCE                NVARCHAR(36),
  OPERATION             NVARCHAR(36),
  OPERATION_REVISION    NVARCHAR(10),
  ITEM                  NVARCHAR(128),
  ITEM_REVISION         NVARCHAR(20),
  STRT                  NVARCHAR(20),
  START_DATE_TIME       SECONDDATE,
  END_DATE_TIME         SECONDDATE,
  SHIFT                 NVARCHAR(10),
  SHIFT_DESCRIPTION     NVARCHAR(40),
  QTY_YIELD             DECIMAL(38,6),
  QTY_SCRAP             DECIMAL(38,6),
  QTY_UNCONFIRM         DECIMAL(38,6),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX PRODUCTION_OUTPUT_FIRST_HANDLE ON PRODUCTION_OUTPUT_FIRST(HANDLE);

CREATE COLUMN TABLE MHP_OEE.PRODUCTION_OUTPUT_FOLLOW_UP (
  HANDLE                       NVARCHAR(412) NOT NULL,
  SITE                         NVARCHAR(6),
  RESRCE                       NVARCHAR(36),
  OPERATION                    NVARCHAR(36),
  OPERATION_REVISION           NVARCHAR(10),
  ITEM                         NVARCHAR(128),
  ITEM_REVISION                NVARCHAR(20),
  STRT                         NVARCHAR(20),
  PRODUCTION_OUTPUT_FIRST_BO   NVARCHAR(412),
  START_DATE_TIME              SECONDDATE,
  END_DATE_TIME                SECONDDATE,
  SHIFT                        NVARCHAR(10),
  SHIFT_DESCRIPTION            NVARCHAR(40),
  QTY_YIELD                    DECIMAL(38,6),
  QTY_SCRAP                    DECIMAL(38,6),
  QTY_UNCONFIRM                DECIMAL(38,6),
  CREATED_DATE_TIME            SECONDDATE,
  MODIFIED_DATE_TIME           SECONDDATE,
  MODIFIED_USER                NVARCHAR(412)
);
CREATE UNIQUE INDEX PRODUCTION_OUTPUT_FOLLOW_UP_HANDLE ON PRODUCTION_OUTPUT_FOLLOW_UP(HANDLE);

CREATE COLUMN TABLE MHP_OEE.PRODUCTION_OUTPUT_REALTIME (
  SITE                  NVARCHAR(6),
  RESRCE                NVARCHAR(36),
  ITEM                  NVARCHAR(128),
  START_DATE_TIME       SECONDDATE,
  END_DATE_TIME         SECONDDATE,
  QTY_YIELD             DECIMAL(38,6),
  QTY_SCRAP             DECIMAL(38,6),
  QTY_INPUT             DECIMAL(38,6),
  QTY_TOTAL             DECIMAL(38,6),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);

CREATE COLUMN TABLE MHP_OEE.ITEM (
  HANDLE               NVARCHAR(412) NOT NULL,
  SITE                 NVARCHAR(6),
  ITEM                 NVARCHAR(128),
  DESCRIPTION          NVARCHAR(40),
  REVISION             NVARCHAR(20),
  MODEL                NVARCHAR(40),
  ENABLED              NVARCHAR(5),
  CREATED_DATE_TIME    SECONDDATE,
  MODIFIED_DATE_TIME   SECONDDATE,
  MODIFIED_USER        NVARCHAR(412)
);
CREATE UNIQUE INDEX ITEM_HANDLE ON ITEM(HANDLE);

CREATE COLUMN TABLE MHP_OEE.REALTIME_PPM (
  HANDLE                NVARCHAR(412) NOT NULL,
  RESOURCE_BO           NVARCHAR(412),
  DATE_TIME             SECONDDATE,
  REALTIME_PPM          DECIMAL(38,6),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX REALTIME_PPM_HANDLE ON REALTIME_PPM(HANDLE);

CREATE COLUMN TABLE MHP_OEE.COLOR_LIGHT (
  HANDLE                NVARCHAR(412) NOT NULL,
  RESOURCE_BO           NVARCHAR(412),
  DATE_TIME             SECONDDATE,
  COLOR_LIGHT           NVARCHAR(2),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX COLOR_LIGHT_HANDLE ON COLOR_LIGHT(HANDLE);

CREATE COLUMN TABLE MHP_OEE.STD_CYCLE_TIME (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  ITEM                  NVARCHAR(128),
  OPERATION             NVARCHAR(36),
  RESRCE                NVARCHAR(36),
  STRT                  NVARCHAR(20),
  PPM_THEORY            DECIMAL(38,6),
  STD_CYCLE_TIME        DECIMAL(38,6),
  START_DATE            DATE,
  END_DATE              DATE,
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX STD_CYCLE_TIME_HANDLE ON STD_CYCLE_TIME(HANDLE);

CREATE COLUMN TABLE MHP_OEE.PRODUCTION_OUTPUT_TARGET (
  HANDLE                NVARCHAR(412) NOT NULL,
  SITE                  NVARCHAR(6),
  ITEM                  NVARCHAR(128),
  OPERATION             NVARCHAR(36),
  RESRCE                NVARCHAR(36),
  TARGE_QTY_YIELD       DECIMAL(38,6),
  TARGE_QTY_YIELD_UNIT  NVARCHAR(20),
  TARGET_DATE           NVARCHAR(20),
  SHIFT                 NVARCHAR(10),
  SHIFT_DESCRIPTION     NVARCHAR(40),
  IS_DEFAULT_VALUE      NVARCHAR(5),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX PRODUCTION_OUTPUT_TARGET_HANDLE ON PRODUCTION_OUTPUT_TARGET(HANDLE);

CREATE COLUMN TABLE MHP_OEE.CLIENT_LOGIN_LOG (
  HANDLE                NVARCHAR(255) NOT NULL,
  USER_BO               NVARCHAR(255),
  RESOURCE_BO           NVARCHAR(255),
  STRT                  NVARCHAR(20),
  LOGIN_DATE_TIME       SECONDDATE,
  ACTION_CODE           NVARCHAR(40),
  LOGIN_MODE            NVARCHAR(10),
  USER_DEPARTMENT       NVARCHAR(50),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(255)
);
CREATE UNIQUE INDEX CLIENT_LOGIN_LOG_HANDLE ON CLIENT_LOGIN_LOG(HANDLE);

CREATE TABLE MHP_OEE.REPORT_INDEX (
	ROW_ID DECIMAL NOT NULL
);
CREATE UNIQUE INDEX REPORT_INDEX_ROW_ID ON REPORT_INDEX(ROW_ID);

CREATE COLUMN TABLE MHP_OEE.JOB_LOG (
  HANDLE                        NVARCHAR(412) NOT NULL,
  JOB                           NVARCHAR(128),
  STRT                          NVARCHAR(20),
  PLANNED_DATE_TIME             SECONDDATE,
  START_DATE_TIME               SECONDDATE,
  END_DATE_TIME                 SECONDDATE,
  SERVER_NODE 					NVARCHAR(40),
  FETCH_SIZE					INTEGER
);
CREATE UNIQUE INDEX JOB_LOG_HANDLE ON JOB_LOG(HANDLE);

CREATE COLUMN TABLE MHP_OEE.HEART_BEAT (
  RESOURCE_BO                   NVARCHAR(255) NOT NULL,
  SITE                          NVARCHAR(6) NOT NULL,
  RESOURCE                      NVARCHAR(255) NOT NULL,
  HEART_TIME                    SECONDDATE NOT NULL,
  VERSION                       NVARCHAR(64),
  REMARK                        NVARCHAR(255)
);
CREATE UNIQUE INDEX HEART_BEAT_HANDLE ON HEART_BEAT(RESOURCE_BO);

CREATE COLUMN TABLE MHP_OEE.ALERT_COMMENT (
  HANDLE                        NVARCHAR(412) NOT NULL,
  SITE                          NVARCHAR(6),
  COMMENT_CODE                  NVARCHAR(40),
  RESOURCE_TYPE                 NVARCHAR(16),
  DESCRIPTION                   NVARCHAR(40),
  ENABLED                        NVARCHAR(5),
  CREATED_DATE_TIME             SECONDDATE,
  MODIFIED_DATE_TIME            SECONDDATE,
  MODIFIED_USER                 NVARCHAR(255)
);
CREATE UNIQUE INDEX ALERT_COMMENT_HANDLE ON ALERT_COMMENT(HANDLE);

CREATE COLUMN TABLE MHP_OEE.RESOURCE_CURRENT_DATA (
  HANDLE                NVARCHAR(412) NOT NULL,
  RESOURCE_BO                  NVARCHAR(412),
  ITEM                         NVARCHAR(128),
  RESOURCE_OPERATOR            NVARCHAR(412),
  OPERATOR_LOCKED              NVARCHAR(16),
  RESOURCE_ME_STAFF            NVARCHAR(412),
  ME_STAFF_LOCKED             NVARCHAR(16),
  CREATED_DATE_TIME     SECONDDATE,
  MODIFIED_DATE_TIME    SECONDDATE,
  MODIFIED_USER         NVARCHAR(412)
);
CREATE UNIQUE INDEX RESOURCE_CURRENT_DATA_HANDLE ON RESOURCE_CURRENT_DATA(HANDLE);
